Skip to main content
POST
/
documents
/
{documentId}
/
uploads
Upload file for document
curl --request POST \
  --url https://api.vanta.com/v1/documents/{documentId}/uploads \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form 'effectiveAtDate=<string>' \
  --form 'description=<string>'
{
  "id": "1",
  "fileName": "Document Name",
  "title": "Document title",
  "description": "Document Description",
  "url": "https://example.com",
  "creationDate": "2024-03-17T00:00:00.000Z",
  "updatedDate": "2024-03-18T00:00:00.000Z",
  "effectiveDate": "2024-03-17T00:00:00.000Z",
  "deletionDate": null,
  "mimeType": "application/pdf",
  "uploadedBy": {
    "id": "66993da0cf4ba2ad40599ba7",
    "type": "USER"
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

documentId
string
required

Body

multipart/form-data
file
file
required
effectiveAtDate
string

Date indicating when the document is effective from.

description
string

Description of the uploaded document.

Response

201 - application/json

File uploaded for document

id
string
required

Unique identifier for the document.

fileName
string | null
required

The file name of the document.

title
string
required

The document's title.

description
string | null
required

The document's description

mimeType
string
required

Mime type of the document.

uploadedBy
object
required

The actor who uploaded this document. It could be a user or an app.

creationDate
string<date-time>
required

Date of when the document was uploaded.

updatedDate
string<date-time>
required

Date when the document was last updated.

deletionDate
string<date-time> | null
required

Date of when the document was deleted. Is set to null if the document has not been deleted.

effectiveDate
string<date-time> | null
required

The document's effective date.

url
string
required

The document's URL.